Welcome !

Registry TuneUp is a tool to optimize your system registry - the most important part of windows. It finds and removes errors in your windows registry, reducing application crashes, and thus enhancing the performance and reducing sluggishness. It cleans all parts of your registry, yet it is the safest, using a built-in ignore list to prevent important entries from being listed. It allows undo, has expert/normal modes, and is very fast and powerful.


System Requirements

Supports the following Windows releases: Windows 98, ME, 2000, XP (Pro & Home), and WinNT 4.0 or above.

Minimal system configuration:

  • Graphics mode 800x600 with 16-bit colors
  • 5 MB free hard disk space at least
  • Intel Pentium or AMD K5 processor with 133 MHz
  • 32 MB RAM

Recommended system configuration:

  • Graphics mode 1024x768 with 16.7 m colors
  • 10 MB or more free hard disk space
  • Intel Pentium 3/4 or AMD Athlon processor with 500 or above MHz
  • 128 MB RAM


License

License Agreement

Registry TuneUp

Copyright 1999-2002 HariKrishnan.

All rights reserved.

IMPORTANT - READ CAREFULLY:

This license agreement is a legal agreement between you (individual or a legal entity) and HariKrishnan, the author of the software product "Registry TuneUp".

YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE AGREEMENT AND THE LIMITATIONS OF YOUR LICENSE BY INSTALLING, COPYING, DISTRIBUTING OR OTHERWISE USING REGISTRY TUNEUP. IF YOU DO NOT AGREE, DO NOT INSTALL, DISTRIBUTE OR USE REGISTRY TUNEUP IN ANY WAYS.

TABLE OF CONTENTS

1. Definitions

2. Grant of license

3. Restrictions and limitations of use

4. Termination of license

5. Confidentiality

6. Disclaimer

7. Limited liability

8. Distribution

9. Reservation of rights

1. DEFINITIONS

" Registry TuneUp " means the Registry TuneUp software product and everything included in its official distribution packages, such as the documentation, all the plug-ins, and all other files.

"the Author" means the creator and the developer of the " Registry TuneUp " software product, an individual called HariKrishnan.

2. GRANT OF LICENSE

The Author grants you the following rights provided that you comply with all terms and conditions of this license agreement:

1. Usage. You may install, use, access, display and run Registry TuneUp in so many computers that the license you own allows you to.

3. RESTRICTIONS AND LIMITATIONS OF USE

You are NOT allowed to:

1. Modify, reverse engineer, decompile, disassemble or otherwise attempt to reconstruct or discover the source code, or any parts of it from the binaries of Registry TuneUp.

2. Create, develop, distribute, use, install or store in your computer a program, source code, mechanism, method, protocol or algorithm to bypass or to brake Registry TuneUp's features or license validation.

3. Remove any product identification, copyright, proprietary notices or labels from Registry TuneUp.

4. Distribute, re-distribute, rent, lease or sell the licensed version of Registry TuneUp or any portions of it or the license itself or any portions of the license without a written permission from the Author.

5. Distribute Registry TuneUp in any other form than in the official distribution packages without a written permission from the Author.

6. Use the licensed version of Registry TuneUp if you know that the copy you are using is illegal or the license itself is illegal or fake.

7. Use, run, copy, distribute or store Registry TuneUp in your computer if this license agreement is violated in any ways.

4. TERMINATION OF LICENSE

The Author has the right to terminate this license if you do not abide by the terms and conditions of this license, in which case you must destroy all copies of Registry TuneUp and all of its component parts.

5. CONFIDENTIALITY

Licensed version of Registry TuneUp and any license authorization codes or files are confidential. You agree to take adequate steps to protect Registry TuneUp and any license authorization codes and registration file from unauthorized disclosure or use. You agree that you will not disclose the licensed version of Registry TuneUp, any parts of it, its license or any parts of the license to any third party.

6. DISCLAIMER

THE AUTHOR EXPRESSLY DISCLAIMS ALL WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY THAT MAY ARISE BY REASON OF TRADE USAGE, CUSTOM, OR COURSE OF DEALING. WITHOUT LIMITING THE FOREGOING, YOU ACKNOWLEDGE THAT Registry TuneUp IS PROVIDED "AS IS" AND THAT THE AUTHOR DOES NOT WARRANT THAT Registry TuneUp WILL RUN UNINTERRUPTED OR ERROR FREE NOR THAT Registry TuneUp WILL OPERATE WITH HARDWARE AND/OR SOFTWARE NOT PROVIDED BY THE AUTHOR. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THE AGREEMENT. SOME STATES DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU, AND YOU MAY HAVE OTHER RIGHTS, WHICH VARY FROM STATE TO STATE.

7. LIMITED LIABILITY

The entire risk as to results and performance of Registry TuneUp is assumed by you. Under no circumstances will the Author or his licensors be liable for any direct or special, indirect, incidental, exemplary or consequential damages of any kind or nature whatsoever, whether based on contract, warranty, tort (including negligence), strict liability or otherwise, arising out of or in any way related to Registry TuneUp or this agreement, even if the Author or his licensors have been advised of the possibility of such damage or if such damage could have been reasonably foreseen, and notwithstanding any failure of essential purpose of any exclusive remedy provided in this agreement. Such limitation on damages includes, but is not limited to, damages for loss of goodwill, lost profits, loss of data or software, work stoppage, computer failure or malfunction or impairment of other goods. In no event will the Author or his licensors be liable for the costs of procurement of substitute Software or services. in addition, in no event will the total liability of the Author in connection with this agreement or Registry TuneUp exceed the actual amount paid to the author, if any, for Registry TuneUp giving rise to the claim. You acknowledge that Registry TuneUp is not designed or licensed for use in on-line equipment in hazardous environments such as operation of nuclear facilities, aircraft navigation or control, or life-critical applications. The Author expressly disclaims any liability resulting from use of Registry TuneUp in any such on-line equipment in hazardous environments and accepts no liability in respect of any actions or claims based on the use of Registry TuneUp in any such on-line equipment in hazardous environments by you. For purposes of this paragraph, the term "life-critical application" means an application in which the functioning or malfunctioning of Registry TuneUp may result directly or indirectly in physical injury or loss of human life.

8. DISTRIBUTION

Unlicensed version of Registry TuneUp may be freely distributed provided that it is not modified in any ways and that the original distribution packages remain intact with all accompanying files, and provided that no fee is charged (except for any reasonable fees necessary to cover costs of distribution media), and that this license agreement is not violated in any ways.

9. RESERVATION OF RIGHTS

The Author reserves all rights not expressly granted to you in this license agreement.

Registry TuneUp

Copyright 1999-2002 HariKrishnan.

All rights reserved.


Registry Cleaner

Clean System Registry

Registry is the database of Windows, used to store data.
Over time, Windows Registry begins to hold data that is invalid or is dead. This invalid data eventually accumulate in the registry, slowing Windows down and causing other problems.

The Cleaner tool will cleanup your Registry by finding

  • invalid paths
  • invalid file associations
  • invalid file types
  • invalid ActiveX and COM
  • obsolete software entries
  • dead file extensions
  • invalid application paths
  • invalid help paths
  • invalid fonts
  • obsolete start menu order
  • and all other dead entries through out the registry.

Usage

  • Click the 'Scan' icon. Wait for the process to complete, when the 'Please wait' dialog box will be gone. You can cancel the scanning process by pressing the cancel Button or pressing Esc Key. The total number of invalid entries found and the number of entries ignored are reported on the bottom left.
  • By default, all entries found are marked for deletion, since all found entries can be safely removed. If you are an expert, you can select those that you want to delete by check marking them. Select the entries and right click on them to see the context menu presenting various actions you can take.
  • Click 'Remove' to delete all the check marked invalid entries.

Before scanning, You can make a backup of your System Registry using Windows Registry back up tool by clicking 'Backup whole registry' from the right click popup menu. Note that it is a silent process, and done by Windows. This backup is done through the command "scanregw.exe /BACKUP". You can restore your registry to the previous state by the command "scanregw.exe /RESTORE". Scanregw.exe may not be available for Windows NT/2k/XP. You must Backup whole registry before first using the cleaner.

Whenever you clean the Registry, a corresponding Undo file is generated for any changes made which can be used to recreate the entries deleted. To undo, take Options, click the Registry Cleaner tab, select the file to be merged back to the registry and click the Restore button. The undo-file will have its name related to the date and hour when it was created ;i.e., when the cleaning was done.

Suppose after scanning, you may want to exclude some entries. Select the entries, right click on it, and from the popup menu, click 'Exclude/Always' or 'Exclude/This time'. When you click 'Always', the item will be removed from the list (not deleted from registry) and it will be added to a ignore-list. The entry will not be listed again in the future. Clicking 'This time' removes the entry from the list.

By clicking 'Report', you can save the list as a text file.

The cleaner has a built-in ignore list to ignore certain unsafe entries. This makes it safer. Read about ignore lists for more information.